<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("user_" . "id" => base64_decode("dXNlcl9" . "pZA=="), "_8cca4dd34e20c5344bb2a30f2533" . "c4e5" => base64_decode("ZnVsbF9uY" . "W1l"), "_28c85ce81fee6" . "532980262893b6" . "f2425" => base64_decode("dXNlcm5hbWU" . "="), "_baec81a782bb3d538149a922568824" . "6e" => base64_decode("ZXZlbn" . "Rfc291" . "cmNl"));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["user" . "_id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_8cca4dd34e20c5344bb2a30f2533c4e" . "5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_28c85ce" . "81fee653" . "29802628" . "93b6f242" . "5"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_baec81a782bb3d538149a922568824" . "6e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}